Skip to main content
GET
/
v2
/
delta
/
orders
/
fillablebalance
/
{chainId}
/
{userAddress}
/
{tokenAddress}
Compute a user's fillable balance for limit orders
curl --request GET \
  --url https://api.velora.xyz/v2/delta/orders/fillablebalance/{chainId}/{userAddress}/{tokenAddress}
import requests

url = "https://api.velora.xyz/v2/delta/orders/fillablebalance/{chainId}/{userAddress}/{tokenAddress}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.velora.xyz/v2/delta/orders/fillablebalance/{chainId}/{userAddress}/{tokenAddress}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "0x6B175474E89094C44Da98b954EedeAC495271d0F": "500000000000000000"
}

Path Parameters

chainId
integer
required
Example:

1

userAddress
string
required
tokenAddress
string
required

Source token to inspect. Omit the entire segment to get balances for every committed token.

Response

Map of tokenAddress → fillableBalance (raw token units as a string).

{key}
string
Last modified on June 14, 2026